class PersonalAssistantBotsModel {
  List<PersonalAssistant>? personalAssistants;

  PersonalAssistantBotsModel({this.personalAssistants});

  PersonalAssistantBotsModel.fromJson(Map<String, dynamic> json) {
    if (json['bots'] != null) {
      personalAssistants = <PersonalAssistant>[];
      json['bots'].forEach((v) {
        personalAssistants!.add(PersonalAssistant.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (personalAssistants != null) {
      data['bots'] = personalAssistants!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PersonalAssistant {
  int? id;
  String? name;
  String? image;
  double? score;
  int? comments;
  String? status;
  String? description;

  PersonalAssistant(
      {this.id,
      this.name,
      this.image,
      this.score,
      this.comments,
      this.status,
      this.description});

  PersonalAssistant.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    image = json['image'];
    score = json['score'];
    comments = json['comments'];
    status = json['status'];
    description = json['description'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['image'] = image;
    data['score'] = score;
    data['comments'] = comments;
    data['status'] = status;
    data['description'] = description;
    return data;
  }
}
